{$apptype console}
{$o-,r+,q+}
uses
  sysutils, testlib, math;

type
  int = longint;

var
  n, ja, pa : int;

begin
  n := inf.readlongint();
  ja := ans.readlongint();
  pa := ouf.readlongint();
  if (pa <> ja) then
  begin
    quit(_wa, format('%d instead of %d (n = %d)', [pa, ja, n]));
  end;
  quit(_ok, format('Answer is %d (n = %d)', [ja, n]));
end.